KeyRef (Xerces2 Implementation)
Keywords: org.apache.xerces.impl.xs.identity.KeyRef class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.identity
Class KeyRef

    java.lang.Object
      org.apache.xerces.impl.xs.identity.IdentityConstraint
          org.apache.xerces.impl.xs.identity.KeyRef

All Implemented Interfaces:
  org.apache.xerces.xs.XSIDCDefinition, org.apache.xerces.xs.XSObject

    public class KeyRef

extends IdentityConstraint

Schema key reference identity constraint.

Version:
  $Id: KeyRef.java 572110 2007-09-02 19:04:44Z mrglavas $
Author:
  Andy Clark, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary
`protected UniqueOrKey` | `fKey` The key (or unique) being referred to.

Fields inherited from class org.apache.xerces.impl.xs.identity.IdentityConstraint
`fAnnotations, fElementName, fFieldCount, fFields, fIdentityConstraintName, fNamespace, fNumAnnotations, fSelector, type`

Fields inherited from interface org.apache.xerces.xs.XSIDCDefinition
`IC_KEY, IC_KEYREF, IC_UNIQUE`

Constructor Summary
`KeyRef(java.lang.String namespace, java.lang.String identityConstraintName, java.lang.String elemName, UniqueOrKey key)` Constructs a keyref with the specified name.

Method Summary
`UniqueOrKey` | `getKey()` Returns the key being referred to.
`org.apache.xerces.xs.XSIDCDefinition` | `getRefKey()` {referenced key} Required if {identity-constraint category} is keyref, forbidden otherwise.

Methods inherited from class org.apache.xerces.impl.xs.identity.IdentityConstraint
`addAnnotation, addField, equals, getAnnotations, getCategory, getElementName, getFieldAt, getFieldCount, getFieldStrs, getIdentityConstraintName, getName, getNamespace, getNamespaceItem, getSelector, getSelectorStr, getType, setSelector, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fKey

    protected final UniqueOrKey fKey

  The key (or unique) being referred to.

Constructor Detail

### KeyRef

    public KeyRef(java.lang.String namespace,
                  java.lang.String identityConstraintName,
                  java.lang.String elemName,
                  UniqueOrKey key)

  Constructs a keyref with the specified name.

Method Detail

### getKey

    public UniqueOrKey getKey()

  Returns the key being referred to.

### getRefKey

    public org.apache.xerces.xs.XSIDCDefinition getRefKey()

  {referenced key} Required if {identity-constraint category} is keyref, forbidden otherwise. An identity-constraint definition with {identity-constraint category} equal to key or unique.

  Specified by:
    `getRefKey` in interface `org.apache.xerces.xs.XSIDCDefinition`
  Overrides:
    `getRefKey` in class `IdentityConstraint`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.